// The MIT License (MIT)
//
// Copyright (c) 2018 Mateusz Pusz
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

#pragma once

#include <units/physical/si/base/electric_current.h>
#include <units/physical/si/base/length.h>
#include <units/physical/si/base/luminous_intensity.h>
#include <units/physical/si/base/mass.h>
#include <units/physical/si/base/amount_of_substance.h>
#include <units/physical/si/base/thermodynamic_temperature.h>
#include <units/physical/si/base/time.h>

#include <units/physical/si/derived/absorbed_dose.h>
#include <units/physical/si/derived/acceleration.h>
#include <units/physical/si/derived/angular_velocity.h>
#include <units/physical/si/derived/area.h>
#include <units/physical/si/derived/capacitance.h>
#include <units/physical/si/derived/catalytic_activity.h>
#include <units/physical/si/derived/charge_density.h>
#include <units/physical/si/derived/concentration.h>
#include <units/physical/si/derived/conductance.h>
#include <units/physical/si/derived/current_density.h>
#include <units/physical/si/derived/density.h>
#include <units/physical/si/derived/dynamic_viscosity.h>
#include <units/physical/si/derived/electric_charge.h>
#include <units/physical/si/derived/electric_field_strength.h>
#include <units/physical/si/derived/energy.h>
#include <units/physical/si/derived/force.h>
#include <units/physical/si/derived/frequency.h>
#include <units/physical/si/derived/heat_capacity.h>
#include <units/physical/si/derived/inductance.h>
#include <units/physical/si/derived/luminance.h>
#include <units/physical/si/derived/magnetic_flux.h>
#include <units/physical/si/derived/magnetic_induction.h>
#include <units/physical/si/derived/molar_energy.h>
#include <units/physical/si/derived/momentum.h>
#include <units/physical/si/derived/permeability.h>
#include <units/physical/si/derived/permittivity.h>
#include <units/physical/si/derived/power.h>
#include <units/physical/si/derived/pressure.h>
#include <units/physical/si/derived/resistance.h>
#include <units/physical/si/derived/speed.h>
#include <units/physical/si/derived/surface_tension.h>
#include <units/physical/si/derived/thermal_conductivity.h>
#include <units/physical/si/derived/torque.h>
#include <units/physical/si/derived/voltage.h>
#include <units/physical/si/derived/volume.h>

#include <units/physical/si/constants.h>
#include <units/physical/si/prefixes.h>
